/*
 * blancoDb
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.conf;

/**
 * @author Yasuo Nakanishi
 */
public class TableGenerate {
    public final static TableGenerate NONE = new TableGenerate("NONE");

    public final static TableGenerate TABLE = new TableGenerate("TABLE");

    public final static TableGenerate DATABASE = new TableGenerate("DATABASE");

    private String _string = "";

    private TableGenerate(String string) {
        _string = string;
    }

    public String toString() {
        return _string;
    }
}